within ModelicaTableAdditions.Blocks;
package Test "Test models"
  extends Modelica.Icons.ExamplesPackage;
  model TestTables "Test and compare the table blocks"
    extends Modelica.Icons.Example;
    ModelicaTableAdditions.Blocks.Sources.CombiTimeTable combiTimeTableCsv(
      tableOnFile=true,
      fileName=Modelica.Utilities.Files.loadResource("modelica://ModelicaTableAdditions/Resources/Data/Tables/test.csv"),
      nHeaderLines=1,
      columns={2})
      annotation (Placement(transformation(extent={{-40,60},{-20,80}})));
    Sources.CombiTimeTable combiTimeTableJson(
      tableOnFile=true,
      tableName="tab1",
      fileName=Modelica.Utilities.Files.loadResource("modelica://ModelicaTableAdditions/Resources/Data/Tables/test.json"),
      columns={2})
      annotation (Placement(transformation(extent={{40,60},{60,80}})));
    Modelica.Blocks.Sources.CombiTimeTable combiTimeTableTxt(
      tableOnFile=true,
      tableName="tab1",
      fileName=Modelica.Utilities.Files.loadResource("modelica://ModelicaTableAdditions/Resources/Data/Tables/test.txt"),
      columns={2})
      annotation (Placement(transformation(extent={{120,60},{140,80}})));
    Modelica.Blocks.Sources.ContinuousClock clock11
      annotation (Placement(transformation(extent={{-80,20},{-60,40}})));
    ModelicaTableAdditions.Blocks.Tables.CombiTable1Ds combiTable1DsCsv(
      tableOnFile=true,
      fileName=Modelica.Utilities.Files.loadResource("modelica://ModelicaTableAdditions/Resources/Data/Tables/test.csv"),
      nHeaderLines=1,
      columns={2})
      annotation (Placement(transformation(extent={{-40,20},{-20,40}})));
    Modelica.Blocks.Sources.ContinuousClock clock12
      annotation (Placement(transformation(extent={{-80,-20},{-60,0}})));
    ModelicaTableAdditions.Blocks.Tables.CombiTable1Dv combiTable1DvCsv(
      tableOnFile=true,
      fileName=Modelica.Utilities.Files.loadResource("modelica://ModelicaTableAdditions/Resources/Data/Tables/test.csv"),
      nHeaderLines=1,
      columns={2})
      annotation (Placement(transformation(extent={{-40,-20},{-20,0}})));
    Modelica.Blocks.Sources.ContinuousClock clock21
      annotation (Placement(transformation(extent={{0,20},{20,40}})));
    Tables.CombiTable1Ds combiTable1DsJson(
      tableOnFile=true,
      tableName="tab1",
      fileName=Modelica.Utilities.Files.loadResource("modelica://ModelicaTableAdditions/Resources/Data/Tables/test.json"),
      columns={2})
      annotation (Placement(transformation(extent={{40,20},{60,40}})));
    Modelica.Blocks.Sources.ContinuousClock clock22
      annotation (Placement(transformation(extent={{0,-20},{20,0}})));
    Tables.CombiTable1Dv combiTable1DvJson(
      tableOnFile=true,
      tableName="tab1",
      fileName=Modelica.Utilities.Files.loadResource("modelica://ModelicaTableAdditions/Resources/Data/Tables/test.json"),
      columns={2})
      annotation (Placement(transformation(extent={{40,-20},{60,0}})));
    Modelica.Blocks.Sources.ContinuousClock clock31
      annotation (Placement(transformation(extent={{80,20},{100,40}})));
    Modelica.Blocks.Tables.CombiTable1Ds combiTable1DsTxt(
      tableOnFile=true,
      tableName="tab1",
      fileName=Modelica.Utilities.Files.loadResource("modelica://ModelicaTableAdditions/Resources/Data/Tables/test.txt"),
      columns={2})
      annotation (Placement(transformation(extent={{120,20},{140,40}})));
    Modelica.Blocks.Sources.ContinuousClock clock32
      annotation (Placement(transformation(extent={{80,-20},{100,0}})));
    Modelica.Blocks.Tables.CombiTable1Dv combiTable1DvTxt(
      tableOnFile=true,
      tableName="tab1",
      fileName=Modelica.Utilities.Files.loadResource("modelica://ModelicaTableAdditions/Resources/Data/Tables/test.txt"),
      columns={2})
      annotation (Placement(transformation(extent={{120,-20},{140,0}})));
  equation
    connect(clock12.y, combiTable1DvCsv.u[1])
      annotation (Line(points={{-59,-10},{-42,-10}}, color={0,0,127}));
    connect(clock32.y,combiTable1DvTxt. u[1])
      annotation (Line(points={{101,-10},{118,-10}}, color={0,0,127}));
    connect(clock11.y, combiTable1DsCsv.u)
      annotation (Line(points={{-59,30},{-42,30}}, color={0,0,127}));
    connect(clock31.y, combiTable1DsTxt.u)
      annotation (Line(points={{101,30},{118,30}}, color={0,0,127}));
    connect(clock22.y, combiTable1DvJson.u[1])
      annotation (Line(points={{21,-10},{38,-10}}, color={0,0,127}));
    connect(clock21.y, combiTable1DsJson.u)
      annotation (Line(points={{21,30},{38,30}}, color={0,0,127}));
    annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,-100},{100,100}})), Diagram(
          coordinateSystem(preserveAspectRatio=false, extent={{-100,-40},{160,100}})),
      experiment(StopTime=45));
  end TestTables;
end Test;
